From: Andreas Schwab <schwab@suse.de>
To: git@vger.kernel.org
Subject: [PATCH] t6026-merge-attr: don't fail if sleep exits early
Date: Tue, 08 Nov 2016 18:03:04 +0100 [thread overview]
Message-ID: <mvmtwbhdhvb.fsf@hawking.suse.de> (raw)
Commit 5babb5bdb3 ("t6026-merge-attr: clean up background process at end
of test case") added a kill command to clean up after the test, but this
can fail if the sleep command exits before the cleanup is executed.
Ignore the error from the kill command.
Signed-off-by: Andreas Schwab <schwab@suse.de>
---
The failure can be simulated by adding a sleep after the last command to
delay the cleanup.
---
t/t6026-merge-attr.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/t/t6026-merge-attr.sh b/t/t6026-merge-attr.sh
index 7a6e33e673..2672b15aa3 100755
--- a/t/t6026-merge-attr.sh
+++ b/t/t6026-merge-attr.sh
@@ -187,7 +187,7 @@ test_expect_success 'custom merge does not lock index' '
sleep 1 &
echo $! >sleep.pid
EOF
- test_when_finished "kill \$(cat sleep.pid)" &&
+ test_when_finished "kill \$(cat sleep.pid) || :" &&
test_write_lines >.gitattributes \
"* merge=ours" "text merge=sleep-one-second" &&
--
2.10.2
--
Andreas Schwab, SUSE Labs, schwab@suse.de
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE 1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."
next reply other threads:[~2016-11-08 17:03 UTC|newest]
Thread overview: 12+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-11-08 17:03 Andreas Schwab [this message]
2016-11-08 20:05 ` [PATCH] t6026-merge-attr: don't fail if sleep exits early Jeff King
2016-11-09 13:47 ` Johannes Schindelin
2016-11-09 14:36 ` Andreas Schwab
2016-11-09 15:31 ` Jeff King
2016-11-10 8:31 ` [PATCH v2] " Andreas Schwab
2016-11-10 19:20 ` Junio C Hamano
2016-11-10 21:55 ` Johannes Schindelin
2016-11-10 22:30 ` Junio C Hamano
2016-11-10 22:35 ` Jeff King
2016-11-10 22:55 ` Junio C Hamano
2016-11-10 23:03 ` Jeff King
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=mvmtwbhdhvb.fsf@hawking.suse.de \
--to=schwab@suse.de \
--cc=git@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.